import os
from typing import Optional
from dataset.util import ResultIter
from datetime import tzinfo
import datetime
import mysql.connector
from mysql.connector import Error
import dataset
import json
from pytube import extract
import requests
import json 
a=requests.get('https://m3.hhh.com.tw:18670/gen_request_columns')
d=a.json()
with open('../json/index_columns.json','w+',encoding="utf-8") as f:
    json.dump(d, f)

cmd="""curl -X POST "https://api.cloudflare.com/client/v4/zones/8cb58022ad5743cfd9f088d5e3a261eb/purge_cache" -H "X-Auth-Email: web.dept.hhh@gmail.com"  -H "X-Auth-Key:63e51d9a1638d66afcbfc3320aabec52304de" -H "Content-Type: application/json" --data '{"files":["https://hhh.com.tw/hhh-test/calculator_request/json/index_columns.json"]}'"""
os.system(cmd)
